
*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{margin:0;
  background:#f0e4d3;
  font-family:Helvetica,sans-serif;
  overflow-x:hidden;
}

/* HEADER */

header{
  padding:10px 10px 0 10px;
  width:100%;
  padding:30px;
  position:fixed;
  top:0;
  z-index:999;
  display:flex;
  justify-content:space-between;
  background:rgba(255,255,255,0.1);
  backdrop-filter:blur(8px); width:100%;
  overflow-x:hidden;flex-wrap:nowrap;
}

header a{
  text-decoration:none;
  color:black;
  letter-spacing:3px;
  font-size:12px; white-space:nowrap;
  display:inline-block;
}
header nav{
  display:flex;
  flex-direction:row;
  flex-wrap:nowrap;
  gap:10px;
  align-items:center;
}

header nav a{
  white-space:nowrap;
}


@media (max-width:768px){
  
  
  header{
  font-size:10px;
  display:flex;
  flex-direction:row;
  justify-content:space-between;
  align-items:center;
  flex-wrap:nowrap;
  width:100%;
  padding:10px 15px;
  box-sizing:border-box;
}

header > a{
  font-size:10px;
  display:inline-block;
  white-space:nowrap;
  margin-right:auto;
}

header nav{
  display:flex;
  flex-direction:row;
  gap:15px;
  align-items:center;
  flex-wrap:nowrap;
}

header nav a{
  white-space:nowrap;
}
  
  
  
  
  
/*header{
    font-size:10px;
  display:flex;
  flex-direction:row;
  justify-content:space-between;
  align-items:center;
  flex-wrap:nowrap;
}

header > a
  {font-size:10px;
  display:inline-block;
  white-space:nowrap;
    margin-right:auto;
}

header nav{
  display:flex;
  flex-direction:row;
  gap:10px;
  white-space:nowrap;
}
header nav a{
  white-space:nowrap;
}*/
  
  
  
}

.art-grid{
  margin-top:15px;
}
/* HERO */
.hero{
  height:35vh;
  display:flex;
  align-items:center;
  justify-content:center;
  margin-bottom: 40px;
}

.hero h1{
  font-size:8vw;
  font-weight:200;
  letter-spacing:10px;
  margin-bottom: 0px
}
/*@media(max-width:768px){
  .hero h1{
    font-size:14vw;
    padding:10;
  }
}*/
@media screen and (max-width:768px){

.hero{
  padding:0 10px;
}

.hero h1{
  font-size:14vw;
  letter-spacing:2px;
  text-align:center;
  margin-top:50px;
}

}
/* GRID */

.art-grid{
  margin:auto;
  display:grid;
  grid-template-columns:repeat(3,300px);
 justify-content: center;
  gap: 30px;
  padding-bottom:10px;
}
@media(max-width:900px){
  .art-grid{
    justify-content:center;
    justify-items:center;
  }
}

/*.   DAMIER.  */

.art-item{
  width:300px;
  height:300px;
  min-height: 300px;
  position:relative;
  overflow:hidden;
  cursor:pointer;
  border:1px solid rgba(0,0,0,0.1);
  background-size:cover;
  background-position:center;
  transition:1s ease;
}

 /*..art-item img{
  width:300px;
  height:300px;
  object-fit:cover;
  dispaly:block;
  transition:1s ease;
}*/


 .art-item:first-child img{
  display:none;
}
.art-item:hover img{
  transform:scale(1.04);
}
            /*. OVERLAY = SQUARE */

.overlay{
  position:absolute;
  inset:0;
  display:flex;
  justify-content:center;
  align-items:center;
  padding:10px;
  background:rgba (240,251,256,0.4);
  z-index: 2;
  opacity:0;
  transition:.5s ease;
}

.art-item:hover .overlay{
  opacity:1;
}

.overlay h2{
  width:300px;
  height:300px;

  display:flex;
  justify-content:center;
  align-items:center;

  background:rgba(255,255,255,0.7);
     
  text-align:center;
  color: black;

  font-size:28px;
  font-weight:200;

  padding:20px;
  opacity:90;
}

.art-item a{  display:block;  width:100%;  height:100%;  text-decoration:none;z-index: 3;}
/* BACKGROUNDS imgs */
.bg1{  background-image:url("../img/artworks/art1.png");}
.bg2{  background-image:url("../img/artworks/art2.png");}
.bg3{  background-image:url("../img/artworks/art3.png");}

.bg4{  background-image:url("../img/artworks/art4.png");}
.bg5{  background-image:url("../img/artworks/art5.png");}
.bg6{  background-image:url("../img/artworks/art6.png");}

.bg7{  background-image:url("../img/artworks/art7.png");}
.bg8{  background-image:url("../img/artworks/art8.png");}
.bg9{  background-image:url("../img/artworks/art9.png");}

.bg10{  background-image:url("../img/artworks/art10.png");}
.bg11{  background-image:url("../img/artworks/art11.png");}
.bg12{  background-image:url("../img/artworks/art12.png");}

/* MOBILE */@media(max-width:900px){  
  .art-grid{    grid-template-columns:1fr;  }  
  .art-item{    min-height:450px;  }}


/*                        MODAL */
modal{
 z-index: 9999;
}

.modal-content{
  background:#f4efe8;
  border:none;
}

.modal-body{
  padding:30px;
}
#modal7 .modal-dialog{
  margin:0;
  max-width:100%;
  width:100%;
}

#modal7 .modal-content{
  border:0;
  width:100%;
}

#modal7 .modal-body{
  padding:0;
}

#modal7 .modal-gallery{
  width:100%;
}

#modal7 .modal-gallery img{
  width:100vw;
  height:auto;
  display:block;
}

.modal-gallery{
  display:grid;
  grid-template-columns:1fr 1fr;
  gap:10px;
}

.modal-gallery img{
  width:100%;
  display:block;
}
.modalinks{
  width:100%;

  display:flex;
  justify-content:center;
  align-items:center;

  text-align:center;

  margin:40px 0;

  font-size:18px;
  letter-spacing:2px;
}

.modalinks a{
  color:black;
  text-decoration:none;

  transition:.3s ease;
}

.modalinks a:hover{
  color:red;
}

/* CLOSE */

.btn-close{
  position:absolute;
  right:20px;
  top:20px;
  z-index:9999;
  border: 1px;
}

/* MOBILE */

@media(max-width:768px){

.hero h1{
  font-size:18vw;
}

.art-grid{
  grid-template-columns:1fr;
}x

.modal-gallery{
  grid-template-columns:1fr;
}

}
/*                  FOOTER  de la page contact    --- */ 


.art-footer{ 
  width: 100%; 
  text-align: center; 
  padding-top: 0px; 
  
  text-align:center;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;

  margin-top:15px;
  margin-bottom:auto;}


.footer-top,
.footer-socials,
.footer-bottom{
  width: 100%;
  display: flex;
  flex-direction: inline-block;
  align-items: space around;
  justify-content: center;
  gap: 10px;
  text-align: center;
  
}

.footer-socials{
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  gap: 15px;
  margin-top: 0;
}

.social-card{
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
  color: inherit;
}

.social-card img{
  width: 50px;
  height: auto;
  display: block; display: flex;  
  justify-content: center;  
  align-items: center;
}

.art-footer h3{
  margin-top:20px;
}
    
 

.footer-top h2{
 
  padding: 10px 40px 20px 40px;
}
.foot1{ width: 100px;max-width: 200px;
      height: 240px;}
.footer-credit{
  width: 100%;
  text-align: center;
  margin-top: 60px;
}



/*  #art-footer{
  
  box-sizing: border-box;
}
    MODE 📱 Mobile  obligatoire si débordement*/

@media (max-width: 768px){
  .footer-socials{
    flex-direction: column;
    align-items: center;
  }
}
 /* FIN du FOOTER

.main-footer{
  text-align:center;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;

  margin-top:60px;
  margin-bottom:20px;
}*/

